from dataclasses import dataclass

from ._BaseModel import BaseModel


@dataclass
class InfoModel(BaseModel):
    title: str
    version: str
    description: str | None = None

    def to_dict(self) -> dict:
        return {
            "title": self.title,
            "description": self.description,
            "version": self.version,
        }
